CVE

Vulnerabilidad en el análisis de los archivos X_T en Ansys SpaceClaim (CVE-2022-40654)

Severidad:
ALTA
Type:
CWE-787 Escritura fuera de límites
Fecha de publicación:
15/09/2022
Última modificación:
19/09/2022

Descripción

Esta vulnerabilidad permite a atacantes remotos ejecutar código arbitrario en las instalaciones afectadas de Ansys SpaceClaim versión 2022 R1. Es requerida una interacción del usuario para explotar esta vulnerabilidad, ya que el objetivo debe visitar una página maliciosa o abrir un archivo malicioso. El fallo específico se presenta en el análisis de los archivos X_T. El problema es debido a una falta de comprobación apropiada de los datos suministrados por el usuario, lo que puede resultar en una escritura más allá del final de una estructura de datos asignada. Un atacante puede aprovechar esta vulnerabilidad para ejecutar código en el contexto del proceso actual. Era ZDI-CAN-18351

Productos y versiones vulnerables

CPE Desde Hasta
cpe:2.3:a:ansys:spaceclaim:2022:r1:*:*:*:*:*:*


Referencias a soluciones, herramientas e información

Go top